from cocos.sprite import Sprite
import pyglet


import os
import ConfigParser
import logging
log = logging.getLogger('Cell')

path = os.path.abspath(os.path.dirname(__file__)+"/../data")

elemConfig = ConfigParser.SafeConfigParser()   
elemConfig.read(path+"/art/elements.ini")

cellstring = elemConfig.get("elements","CELLS")
log.info("elemConfig Got: "+cellstring)
SPECIALS_OFFSET = elemConfig.getint("elements","SPECIALS_OFFSET")
CELLS = eval(cellstring)


class ShapeCell(Sprite):
    ''' Defines a cell that represent a part of game object such as some dirt '''
    def __init__(self, cellID):
        self.cell_ID = cellID
        #filename = path+"/art/"+str(CELLS[cellID])
        filename = str(CELLS[cellID])
        log.info("Loading image: "+filename)
        super(ShapeCell,self).__init__(filename)
        
    def ConvertCellPosToPosition(self, cx, cy):
        self.x = cx*32
        self.y = -cy*32


def MakeCell(cellID):
    return ShapeCell(cellID)